$(function () {

    //$(".agtarefa select").selectbox();

    //$(".daterange").daterangepicker({
    //    datepickerOptions: {
    //        numberOfMonths: 2
    //    }
    //});

    $(".bairro_title span.btn_bairro").click(function (e) {
        if ($(e.currentTarget).hasClass("icon-circle-up")) {
            $(e.currentTarget).parents(".agtarefa_listabairros").children(".bairro_content").slideUp();
            $(e.currentTarget).removeClass("icon-circle-up").addClass("icon-circle-down");
        } else {
            $(e.currentTarget).parents(".agtarefa_listabairros").children(".bairro_content").slideDown();
            $(e.currentTarget).removeClass("icon-circle-down").addClass("icon-circle-up");
        }
    });
    
    
    $('.dias').webuiPopover({
        width: 220,
        height: 30,
        padding: false,
        animation: 'pop',
        content: "<span class='icon-spinner2' style='font-size:14px;vertical-align:middle;'></span> <span style='vertical-align: middle;display: inline-block;width: 80%;text-align: left;padding-left: 10px; font-size: 13px;'> Quantidade de dias desde a última tarefa</span>"
    });

    $('.dias').mouseover(function () {
        $(this).webuiPopover('show');
    }).mouseout(function () {
        $(this).webuiPopover('hide');
    });

    $('.demandas').webuiPopover({
        width: 250,
        height: 128,
        padding: false,
        animation: 'pop',
        content: '<div style="max-height:100px; overflow-y:scroll;   padding: 2px; border-bottom: 1px solid #cdcdcd; margin-bottom:8px;"> \
                \
                <table border="1" style="width: 100%;"> \
                    <thead> \
                        <tr> \
                            <th>QTD</th> \
                            <th>TIPO DE DEMANDA</th> \
                        </tr> \
                    </thead> \
                    <tr> \
                        <td>5</td> \
                        <td>Remoção > Remoção de Entulho</td> \
                    </tr> \
                    <tr> \
                        <td>6</td> \
                        <td>Remoção > Remoção de Animal</td> \
                    </tr> \
                    <tr> \
                        <td>3</td> \
                        <td>Remoção > Remoção de Galhada</td> \
                    </tr> \
                    <tr> \
                        <td>6</td> \
                        <td>Remoção > Remoção de Animal</td> \
                    </tr> \
                    <tr> \
                        <td>3</td> \
                        <td>Remoção > Remoção de Galhada</td> \
                    </tr> \
                </table> \
            \
            </div> \
            <div> \
                <div style="display:inline-block;width:30%;"><span class="high-priority" style="width:70px;font-size:11px;">ALTA (3)</span></div> \
                <div style="display:inline-block;width:30%;"><span class="medium-priority" style="width:70px;font-size:11px;">MÉDIA (1)</span></div> \
                <div style="display:inline-block;width:30%;"><span class="low-priority" style="width:70px;font-size:11px;">BAIXA (5)</span></div> \
            </div>'
    });

    $('.demandas').toggle(function () {
        $(this).webuiPopover('show');
    }, function () {
        $(this).webuiPopover('hide');
    });

});